package com.iamberry.wechat.service.mapper;

import java.util.List;
import java.util.Map;

import com.iamberry.wechat.core.entity.order.Order;
import com.iamberry.wechat.core.entity.order.OrderItem;

public interface OrderMapper {

	/**
	 * 添加订单信息
	 * @param order
	 * @return
	 */
	public Integer insertOrderInfo(Order order);
	
	/**
	 * 添加订单项信息
	 * @param items
	 * @return
	 */
	public Integer insertOrderItemList(List<OrderItem> items);
	
	/**
	 * 修改订单信息
	 * @param order
	 * @return
	 */
	public Integer updateOrderStatus(Order order);
	
	/**
	 * 根据订单号，获取订单的状态
	 * @param orderId
	 * @return
	 */
	public Integer selectOrderStatusByOrderId(String orderId);
	
	/**
	 * 根据订单号、用户openid，获取订单信息
	 * @param order
	 * @return
	 */
	public Order selectOrderInfoById(Order order);
	
	/**
	 * 根据单号查询该订单的产品总数 
	 * 2016年5月18日
	 * @param orderid
	 * @return
	 */
	public Integer getItemNumByOrderId(String orderid);
	
	/**
	 * 根据订单号获取产品类型的统计，用于返利表返利
	 * @param orderid
	 * @return
	 */
	public List<Map> getItemProdutTypeStatic(String orderid);
	
	/**
	 * 获取购买者历史最新订单的收货地址
	 * @param orderid
	 * @return
	 */
	public Order getOrderAddressInfo(String openid);
	
}
